<!DOCTYPE html>
<html lang="en">
<head>
  <title>Task62</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <script>
    $(document).ready(function(){
      //gọi api lây danh sách tỉnh thành phố
        $.ajax({
            url: "http://localhost:8080/provinces",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //load dữ liệu vào select
                loadDataprovinceToSelect(responseObject);
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

      //hàm load dữ liệu lên select province
        function loadDataprovinceToSelect(paramData){
          for (var i = 0; i < paramData.length; i++){
          var bProvinceOption = $('<option/>');
          bProvinceOption.prop("value", paramData[i].id);
          bProvinceOption.prop("text",paramData[i].name);
          bProvinceOption.appendTo($('#select-province'));
          }
        }

      //hàm listener khi thay đổi thành phố
        $('#select-province').on('change', function(){
          var vDistrict = $('#select-district').find('option')
                                              .remove();
          var vProvinceId = $('#select-province').val();
          //gọi api lấy danh sách quận huyện
          $.ajax({
            url: "http://localhost:8080/districts?provinceId="+vProvinceId,
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //load dữ liệu vào select
                loadDataDistrictToSelect(responseObject);
            },
            error: function(error){
                console.log(error.responseText);
            }
          });
        })    

      //hàm load dữ liệu data lên select district
        function loadDataDistrictToSelect(paramData){
          for (var i = 0; i < paramData.length; i++){
            var bDistrictOption = $('<option/>');
            bDistrictOption.prop("value", paramData[i].id);
            bDistrictOption.prop("text",paramData[i].name);
            bDistrictOption.appendTo($('#select-district'));
          }
        }
       
      //hàm listener khi thay đổi quận
        $('#select-district').on('change', function(){
          var vWard = $('#select-ward').find('option')
                                       .remove();
          var vDistrictId = $('#select-district').val();
          //gọi api lấy danh sách phường xã
          $.ajax({
            url: "http://localhost:8080/wards?districtId="+vDistrictId,
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //load dữ liệu vào select
                loadDataWardToSelect(responseObject);
            },
            error: function(error){
                console.log(error.responseText);
            }
          });
        })       

        //hàm load dữ liệu data lên select ward
          function loadDataWardToSelect(paramData){
            for (var i = 0; i < paramData.length; i++){
              var bDistrictOption = $('<option/>');
              bDistrictOption.prop("value", paramData[i].id);
              bDistrictOption.prop("text",paramData[i].name);
              bDistrictOption.appendTo($('#select-ward'));
            }
          }  
    });
  </script>
</head>
<body>
<div class="container">
  <div class="jumbotron">
    <div class="form-group">
      <div class="row ">
        <div class="col-sm-5 text-right">
          <label><strong> Tỉnh thành phố</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-province">
            <option value="0">Tỉnh thành phố</option>
          </select>
        </div>
      </div>
      <div class="row pt-3">
        <div class="col-sm-5 text-right">
          <label><strong> Quận huyện</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-district">
            <option value="0">Quận huyện</option>
          </select>
        </div>
      </div>
      <div class="row pt-3">
        <div class="col-sm-5 text-right">
          <label><strong> Phường xã</strong></label>
        </div>
        <div class="col-sm-7">
          <select  class="form-control" id="select-ward">
            <option value="0">Phường xã</option>
          </select>
        </div>
      </div>
    </div>
  </div>
</div>

</body>
</html>
​
